Martedì, 12 Giugno 2018 09:06

Avanzamento versione di e2fsprog

Written by
Rate this item
(0 votes)

Mi sono imbattuto di recente in un problema con il partizionamento di un disco. in Gparted Ho ricevuto l'errore "/dev/sda3 has unsupported feature(s): metadata_csum e2fsck: Utilizzare una versione più nuova di e2fsc"

La versione installata nella mia Linux Mint 18 era la 1.42, la più nuova in circolazione al momento era la 1.44. Non ho trovato il modo di installare efficacemente la 1.44 da pacchetto deb, ma ho trovato una guida che mi ha consentito di farlo a mano, e la riporto qui.

Innanzitutto se volete leggere la guida originale la trovate qui.

Per prima cosa bisogna installare le libc6-dev

 sudo apt-get install libc6-dev

quindi scaricare la versione 1.44 di e3fsprogs, scompattarla e compilarla

cd Scaricati
wget https://sourceforge.net/projects/e2fsprogs/files/e2fsprogs/v1.44.2/e2fsprogs-1.44.2.tar.gz
./configure
make

poi occorre salvare la vecchia versione (non si sa mai) e copiare la nuova in sbin

sudo mv /sbin/e2fsck /sbin/e2fsck.old
cd e2fsck/
sudo mv e2fsck /sbin/

Fatto! Avanzamento eseguito ed il problema risolto.
Poi si può andare a rimuovere la cartella col sorgente

rm -rR /home/USER/Scaricati/e2fsprogs-1.44.2

con USER ovviamente il nome utente.

 

Read 72 times Last modified on Giovedì, 09 Agosto 2018 17:48

Aggiungi commento


Codice di sicurezza
Aggiorna

Annuncio pubblicitario by google

Questo sito utilizza cookies per amministrare autenticazioni, navigazione, statistiche di accesso e/o altre funzioni. Continuando la navigazione nel sito acconsentite che questi tipi di cookie vengano memorizzati nel vostro dispositivo.

Visualizzare la Politica sui Cookies

Visualizzare il Documento della Direttiva sulla e-Privacy

Avete Rifiutato i cookies. Questa decisione puo'essere modificata.

Avete acconsentito all'uso dei cookies. Questa decisione puo' essere modificata.